Runtime

## org.eclipse.gmf.runtime.diagram.ui.preferences
Interface IPreferenceConstants

public interface IPreferenceConstants

Defines preference constants for the GMF diagram layer.

This interface defines constants only, it is not intended to be implemented by clients.

Field Summary
`static java.lang.String` `PREF_DEFAULT_FONT` the font; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_ENABLE_ANIMATED_LAYOUT` enable Layout animation ; Global Preference
`static java.lang.String` `PREF_ENABLE_ANIMATED_ZOOM` enable zoom animation; Global Preference
`static java.lang.String` `PREF_ENABLE_ANTIALIAS` enable anti-aliasing; Global Preference
`static java.lang.String` `PREF_FILL_COLOR` the the fill color; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_FONT_COLOR` the font color; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_GRID_SPACING` grid spacing preference; Grid/Rulers Preference Page
`static java.lang.String` `PREF_LINE_COLOR` the line color; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_LINE_STYLE` the connection line style; shows up in ConnectionsPreferencePage
`static java.lang.String` `PREF_NOTE_FILL_COLOR` the note fill color; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_NOTE_LINE_COLOR` the note line color; shows up in AppearancePreferencePage
`static java.lang.String` `PREF_PROMPT_ON_DEL_FROM_DIAGRAM` prompt when user choose delete from diagram ; Global Preference
`static java.lang.String` `PREF_PROMPT_ON_DEL_FROM_MODEL` prompt when user choose delete from model; Global Preference
`static java.lang.String` `PREF_RULER_UNITS` ruler units pereference; Grid/Rulers Preference Page
`static java.lang.String` `PREF_SHOW_CONNECTION_HANDLES` show connection handles preference; Global Preference
`static java.lang.String` `PREF_SHOW_GRID` show grid preference; Grid/Rulers Preference Page
`static java.lang.String` `PREF_SHOW_POPUP_BARS` show popup bars preference;; Global Preference
`static java.lang.String` `PREF_SHOW_RULERS` Show Rulers Preference; Grid/Rulers Preference Page
`static java.lang.String` `PREF_SNAP_TO_GRID` Snap to grid preference; Grid/Rulers Preference Page

Field Detail

### PREF_LINE_STYLE

    public static final java.lang.String PREF_LINE_STYLE

  the connection line style; shows up in ConnectionsPreferencePage

  See Also:
    Constant Field Values

### PREF_DEFAULT_FONT

    public static final java.lang.String PREF_DEFAULT_FONT

  the font; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_FONT_COLOR

    public static final java.lang.String PREF_FONT_COLOR

  the font color; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_FILL_COLOR

    public static final java.lang.String PREF_FILL_COLOR

  the the fill color; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_LINE_COLOR

    public static final java.lang.String PREF_LINE_COLOR

  the line color; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_NOTE_FILL_COLOR

    public static final java.lang.String PREF_NOTE_FILL_COLOR

  the note fill color; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_NOTE_LINE_COLOR

    public static final java.lang.String PREF_NOTE_LINE_COLOR

  the note line color; shows up in AppearancePreferencePage

  See Also:
    Constant Field Values

### PREF_SHOW_CONNECTION_HANDLES

    public static final java.lang.String PREF_SHOW_CONNECTION_HANDLES

  show connection handles preference; Global Preference

  See Also:
    Constant Field Values

### PREF_SHOW_POPUP_BARS

    public static final java.lang.String PREF_SHOW_POPUP_BARS

  show popup bars preference;; Global Preference

  See Also:
    Constant Field Values

### PREF_PROMPT_ON_DEL_FROM_MODEL

    public static final java.lang.String PREF_PROMPT_ON_DEL_FROM_MODEL

  prompt when user choose delete from model; Global Preference

  See Also:
    Constant Field Values

### PREF_PROMPT_ON_DEL_FROM_DIAGRAM

    public static final java.lang.String PREF_PROMPT_ON_DEL_FROM_DIAGRAM

  prompt when user choose delete from diagram ; Global Preference

  See Also:
    Constant Field Values

### PREF_ENABLE_ANIMATED_LAYOUT

    public static final java.lang.String PREF_ENABLE_ANIMATED_LAYOUT

  enable Layout animation ; Global Preference

  See Also:
    Constant Field Values

### PREF_ENABLE_ANIMATED_ZOOM

    public static final java.lang.String PREF_ENABLE_ANIMATED_ZOOM

  enable zoom animation; Global Preference

  See Also:
    Constant Field Values

### PREF_ENABLE_ANTIALIAS

    public static final java.lang.String PREF_ENABLE_ANTIALIAS

  enable anti-aliasing; Global Preference

  See Also:
    Constant Field Values

### PREF_SHOW_GRID

    public static final java.lang.String PREF_SHOW_GRID

  show grid preference; Grid/Rulers Preference Page

  See Also:
    Constant Field Values

### PREF_SHOW_RULERS

    public static final java.lang.String PREF_SHOW_RULERS

  Show Rulers Preference; Grid/Rulers Preference Page

  See Also:
    Constant Field Values

### PREF_SNAP_TO_GRID

    public static final java.lang.String PREF_SNAP_TO_GRID

  Snap to grid preference; Grid/Rulers Preference Page

  See Also:
    Constant Field Values

### PREF_RULER_UNITS

    public static final java.lang.String PREF_RULER_UNITS

  ruler units pereference; Grid/Rulers Preference Page

  See Also:
    Constant Field Values

### PREF_GRID_SPACING

    public static final java.lang.String PREF_GRID_SPACING

  grid spacing preference; Grid/Rulers Preference Page

  See Also:
    Constant Field Values

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.